import { DlzControlTowerControlFormat, IDlzControlTowerControl, DlzControlTowerStandardControls } from '../index';
/**
 * Secure access to data stored in Amazon S3 buckets by detecting whether public read access is allowed.
 *
 * Format:Legacy Control
 * https://docs.aws.amazon.com/controltower/latest/userguide/strongly-recommended-controls.html#s3-disallow-public-readz
 */
export declare class AWS_GR_S3_BUCKET_PUBLIC_READ_PROHIBITED implements IDlzControlTowerControl {
    readonly controlFriendlyName = DlzControlTowerStandardControls['AWS_GR_S3_BUCKET_PUBLIC_READ_PROHIBITED'];
    readonly description = "Secure access to data stored in Amazon S3 buckets by detecting whether public read access is allowed.";
    readonly format = DlzControlTowerControlFormat.LEGACY;
    readonly externalLink = "https://docs.aws.amazon.com/controltower/latest/userguide/strongly-recommended-controls.html#s3-disallow-public-read";
    readonly controlIdName: {
        euWest1: string;
        usEast1: string;
    };
}
