import { NetworkEntityVpc } from './dlz-account-network';
import { DLzAccount, NetworkNat, Region } from '../../data-landing-zone-types';
import { DlzStack } from '../dlz-stack/index';
export interface DlzSubnetProps {
    /**
     * The name of the subnet, must be unique within the routeTable
     */
    readonly name: string;
    /**
     * The CIDR block of the subnet
     */
    readonly cidr: string;
    /**
     * Optional. The Availability Zone of the subnet, if not specified a random AZ will be selected
     */
    readonly az?: string;
}
export interface DlzVpcProps {
    /**
     * The region where the VPC will be created
     */
    readonly region: Region;
    /**
     * The name of the VPC, must be unique within the region
     */
    readonly name: string;
    /**
     * The CIDR block of the VPC
     */
    readonly cidr: string;
    /**
     * The route tables to be created in the VPC
     */
    readonly routeTables: DlzRouteTableProps[];
}
export interface DlzRouteTableProps {
    readonly name: string;
    readonly subnets: DlzSubnetProps[];
}
export interface DlzSubnetProps {
    readonly name: string;
    readonly cidr: string;
    readonly az?: string;
}
export declare class DlzVpc {
    private dlzAccount;
    private dlzStack;
    private networkNats?;
    readonly networkEntityVpc: NetworkEntityVpc;
    constructor(dlzAccount: DLzAccount, dlzStack: DlzStack, dlzVpc: DlzVpcProps, networkNats?: NetworkNat[] | undefined);
    private createInternetGateWay;
    private crateNatInstance;
    private createNatGw;
    private createNats;
    private vpcResourceName;
}
