import * as sso from 'aws-cdk-lib/aws-sso';
import { Construct } from 'constructs';
/**
 * A group of users in the IAM Identity Center
 */
export interface IamIdentityCenterGroupProps {
    readonly name: string;
    readonly ssoArn: string;
    readonly identityStoreId: string;
    readonly description?: string;
    readonly users: IamIdentityCenterGroupUser[];
    readonly permissionSet: sso.CfnPermissionSet;
    readonly accounts: string[];
}
/**
 * A user in the IAM Identity Center
 */
export interface IamIdentityCenterGroupUser {
    readonly userId: string;
    readonly userName: string;
}
/**
 * A group of users in the IAM Identity Center
 */
export declare class IamIdentityCenterGroup extends Construct {
    constructor(scope: Construct, id: string, props: IamIdentityCenterGroupProps);
}
