import * as iam from 'aws-cdk-lib/aws-iam';
import * as organizations from 'aws-cdk-lib/aws-organizations';
import * as cdk from 'aws-cdk-lib/core';
import { Construct } from 'constructs';
import { DlzTag } from './tag-policy';
import { IReportResource, ReportResource } from '../../lib/report';
export interface DlzServiceControlPolicyProps {
    readonly statements: iam.PolicyStatement[];
    readonly description?: string;
    readonly name: string;
    readonly tags?: Array<cdk.CfnTag>;
    readonly targetIds?: Array<string>;
}
export declare class DlzServiceControlPolicy implements IReportResource {
    static denyServiceActionStatements(serviceActions: string[]): iam.PolicyStatement;
    static denyIamPolicyActionStatements(): iam.PolicyStatement[];
    static denyCfnStacksWithoutStandardTags(tags: DlzTag[]): iam.PolicyStatement;
    readonly policy: organizations.CfnPolicy;
    readonly reportResource: ReportResource;
    constructor(scope: Construct, id: string, props: DlzServiceControlPolicyProps);
}
