import { HttpHandlerOptions as __HttpHandlerOptions } from "@smithy/types";
import {
  AttachCustomerManagedPolicyReferenceToPermissionSetCommandInput,
  AttachCustomerManagedPolicyReferenceToPermissionSetCommandOutput,
} from "./commands/AttachCustomerManagedPolicyReferenceToPermissionSetCommand";
import {
  AttachManagedPolicyToPermissionSetCommandInput,
  AttachManagedPolicyToPermissionSetCommandOutput,
} from "./commands/AttachManagedPolicyToPermissionSetCommand";
import {
  CreateAccountAssignmentCommandInput,
  CreateAccountAssignmentCommandOutput,
} from "./commands/CreateAccountAssignmentCommand";
import {
  CreateApplicationAssignmentCommandInput,
  CreateApplicationAssignmentCommandOutput,
} from "./commands/CreateApplicationAssignmentCommand";
import {
  CreateApplicationCommandInput,
  CreateApplicationCommandOutput,
} from "./commands/CreateApplicationCommand";
import {
  CreateInstanceAccessControlAttributeConfigurationCommandInput,
  CreateInstanceAccessControlAttributeConfigurationCommandOutput,
} from "./commands/CreateInstanceAccessControlAttributeConfigurationCommand";
import {
  CreateInstanceCommandInput,
  CreateInstanceCommandOutput,
} from "./commands/CreateInstanceCommand";
import {
  CreatePermissionSetCommandInput,
  CreatePermissionSetCommandOutput,
} from "./commands/CreatePermissionSetCommand";
import {
  CreateTrustedTokenIssuerCommandInput,
  CreateTrustedTokenIssuerCommandOutput,
} from "./commands/CreateTrustedTokenIssuerCommand";
import {
  DeleteAccountAssignmentCommandInput,
  DeleteAccountAssignmentCommandOutput,
} from "./commands/DeleteAccountAssignmentCommand";
import {
  DeleteApplicationAccessScopeCommandInput,
  DeleteApplicationAccessScopeCommandOutput,
} from "./commands/DeleteApplicationAccessScopeCommand";
import {
  DeleteApplicationAssignmentCommandInput,
  DeleteApplicationAssignmentCommandOutput,
} from "./commands/DeleteApplicationAssignmentCommand";
import {
  DeleteApplicationAuthenticationMethodCommandInput,
  DeleteApplicationAuthenticationMethodCommandOutput,
} from "./commands/DeleteApplicationAuthenticationMethodCommand";
import {
  DeleteApplicationCommandInput,
  DeleteApplicationCommandOutput,
} from "./commands/DeleteApplicationCommand";
import {
  DeleteApplicationGrantCommandInput,
  DeleteApplicationGrantCommandOutput,
} from "./commands/DeleteApplicationGrantCommand";
import {
  DeleteInlinePolicyFromPermissionSetCommandInput,
  DeleteInlinePolicyFromPermissionSetCommandOutput,
} from "./commands/DeleteInlinePolicyFromPermissionSetCommand";
import {
  DeleteInstanceAccessControlAttributeConfigurationCommandInput,
  DeleteInstanceAccessControlAttributeConfigurationCommandOutput,
} from "./commands/DeleteInstanceAccessControlAttributeConfigurationCommand";
import {
  DeleteInstanceCommandInput,
  DeleteInstanceCommandOutput,
} from "./commands/DeleteInstanceCommand";
import {
  DeletePermissionsBoundaryFromPermissionSetCommandInput,
  DeletePermissionsBoundaryFromPermissionSetCommandOutput,
} from "./commands/DeletePermissionsBoundaryFromPermissionSetCommand";
import {
  DeletePermissionSetCommandInput,
  DeletePermissionSetCommandOutput,
} from "./commands/DeletePermissionSetCommand";
import {
  DeleteTrustedTokenIssuerCommandInput,
  DeleteTrustedTokenIssuerCommandOutput,
} from "./commands/DeleteTrustedTokenIssuerCommand";
import {
  DescribeAccountAssignmentCreationStatusCommandInput,
  DescribeAccountAssignmentCreationStatusCommandOutput,
} from "./commands/DescribeAccountAssignmentCreationStatusCommand";
import {
  DescribeAccountAssignmentDeletionStatusCommandInput,
  DescribeAccountAssignmentDeletionStatusCommandOutput,
} from "./commands/DescribeAccountAssignmentDeletionStatusCommand";
import {
  DescribeApplicationAssignmentCommandInput,
  DescribeApplicationAssignmentCommandOutput,
} from "./commands/DescribeApplicationAssignmentCommand";
import {
  DescribeApplicationCommandInput,
  DescribeApplicationCommandOutput,
} from "./commands/DescribeApplicationCommand";
import {
  DescribeApplicationProviderCommandInput,
  DescribeApplicationProviderCommandOutput,
} from "./commands/DescribeApplicationProviderCommand";
import {
  DescribeInstanceAccessControlAttributeConfigurationCommandInput,
  DescribeInstanceAccessControlAttributeConfigurationCommandOutput,
} from "./commands/DescribeInstanceAccessControlAttributeConfigurationCommand";
import {
  DescribeInstanceCommandInput,
  DescribeInstanceCommandOutput,
} from "./commands/DescribeInstanceCommand";
import {
  DescribePermissionSetCommandInput,
  DescribePermissionSetCommandOutput,
} from "./commands/DescribePermissionSetCommand";
import {
  DescribePermissionSetProvisioningStatusCommandInput,
  DescribePermissionSetProvisioningStatusCommandOutput,
} from "./commands/DescribePermissionSetProvisioningStatusCommand";
import {
  DescribeTrustedTokenIssuerCommandInput,
  DescribeTrustedTokenIssuerCommandOutput,
} from "./commands/DescribeTrustedTokenIssuerCommand";
import {
  DetachCustomerManagedPolicyReferenceFromPermissionSetCommandInput,
  DetachCustomerManagedPolicyReferenceFromPermissionSetCommandOutput,
} from "./commands/DetachCustomerManagedPolicyReferenceFromPermissionSetCommand";
import {
  DetachManagedPolicyFromPermissionSetCommandInput,
  DetachManagedPolicyFromPermissionSetCommandOutput,
} from "./commands/DetachManagedPolicyFromPermissionSetCommand";
import {
  GetApplicationAccessScopeCommandInput,
  GetApplicationAccessScopeCommandOutput,
} from "./commands/GetApplicationAccessScopeCommand";
import {
  GetApplicationAssignmentConfigurationCommandInput,
  GetApplicationAssignmentConfigurationCommandOutput,
} from "./commands/GetApplicationAssignmentConfigurationCommand";
import {
  GetApplicationAuthenticationMethodCommandInput,
  GetApplicationAuthenticationMethodCommandOutput,
} from "./commands/GetApplicationAuthenticationMethodCommand";
import {
  GetApplicationGrantCommandInput,
  GetApplicationGrantCommandOutput,
} from "./commands/GetApplicationGrantCommand";
import {
  GetInlinePolicyForPermissionSetCommandInput,
  GetInlinePolicyForPermissionSetCommandOutput,
} from "./commands/GetInlinePolicyForPermissionSetCommand";
import {
  GetPermissionsBoundaryForPermissionSetCommandInput,
  GetPermissionsBoundaryForPermissionSetCommandOutput,
} from "./commands/GetPermissionsBoundaryForPermissionSetCommand";
import {
  ListAccountAssignmentCreationStatusCommandInput,
  ListAccountAssignmentCreationStatusCommandOutput,
} from "./commands/ListAccountAssignmentCreationStatusCommand";
import {
  ListAccountAssignmentDeletionStatusCommandInput,
  ListAccountAssignmentDeletionStatusCommandOutput,
} from "./commands/ListAccountAssignmentDeletionStatusCommand";
import {
  ListAccountAssignmentsCommandInput,
  ListAccountAssignmentsCommandOutput,
} from "./commands/ListAccountAssignmentsCommand";
import {
  ListAccountAssignmentsForPrincipalCommandInput,
  ListAccountAssignmentsForPrincipalCommandOutput,
} from "./commands/ListAccountAssignmentsForPrincipalCommand";
import {
  ListAccountsForProvisionedPermissionSetCommandInput,
  ListAccountsForProvisionedPermissionSetCommandOutput,
} from "./commands/ListAccountsForProvisionedPermissionSetCommand";
import {
  ListApplicationAccessScopesCommandInput,
  ListApplicationAccessScopesCommandOutput,
} from "./commands/ListApplicationAccessScopesCommand";
import {
  ListApplicationAssignmentsCommandInput,
  ListApplicationAssignmentsCommandOutput,
} from "./commands/ListApplicationAssignmentsCommand";
import {
  ListApplicationAssignmentsForPrincipalCommandInput,
  ListApplicationAssignmentsForPrincipalCommandOutput,
} from "./commands/ListApplicationAssignmentsForPrincipalCommand";
import {
  ListApplicationAuthenticationMethodsCommandInput,
  ListApplicationAuthenticationMethodsCommandOutput,
} from "./commands/ListApplicationAuthenticationMethodsCommand";
import {
  ListApplicationGrantsCommandInput,
  ListApplicationGrantsCommandOutput,
} from "./commands/ListApplicationGrantsCommand";
import {
  ListApplicationProvidersCommandInput,
  ListApplicationProvidersCommandOutput,
} from "./commands/ListApplicationProvidersCommand";
import {
  ListApplicationsCommandInput,
  ListApplicationsCommandOutput,
} from "./commands/ListApplicationsCommand";
import {
  ListCustomerManagedPolicyReferencesInPermissionSetCommandInput,
  ListCustomerManagedPolicyReferencesInPermissionSetCommandOutput,
} from "./commands/ListCustomerManagedPolicyReferencesInPermissionSetCommand";
import {
  ListInstancesCommandInput,
  ListInstancesCommandOutput,
} from "./commands/ListInstancesCommand";
import {
  ListManagedPoliciesInPermissionSetCommandInput,
  ListManagedPoliciesInPermissionSetCommandOutput,
} from "./commands/ListManagedPoliciesInPermissionSetCommand";
import {
  ListPermissionSetProvisioningStatusCommandInput,
  ListPermissionSetProvisioningStatusCommandOutput,
} from "./commands/ListPermissionSetProvisioningStatusCommand";
import {
  ListPermissionSetsCommandInput,
  ListPermissionSetsCommandOutput,
} from "./commands/ListPermissionSetsCommand";
import {
  ListPermissionSetsProvisionedToAccountCommandInput,
  ListPermissionSetsProvisionedToAccountCommandOutput,
} from "./commands/ListPermissionSetsProvisionedToAccountCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  ListTrustedTokenIssuersCommandInput,
  ListTrustedTokenIssuersCommandOutput,
} from "./commands/ListTrustedTokenIssuersCommand";
import {
  ProvisionPermissionSetCommandInput,
  ProvisionPermissionSetCommandOutput,
} from "./commands/ProvisionPermissionSetCommand";
import {
  PutApplicationAccessScopeCommandInput,
  PutApplicationAccessScopeCommandOutput,
} from "./commands/PutApplicationAccessScopeCommand";
import {
  PutApplicationAssignmentConfigurationCommandInput,
  PutApplicationAssignmentConfigurationCommandOutput,
} from "./commands/PutApplicationAssignmentConfigurationCommand";
import {
  PutApplicationAuthenticationMethodCommandInput,
  PutApplicationAuthenticationMethodCommandOutput,
} from "./commands/PutApplicationAuthenticationMethodCommand";
import {
  PutApplicationGrantCommandInput,
  PutApplicationGrantCommandOutput,
} from "./commands/PutApplicationGrantCommand";
import {
  PutInlinePolicyToPermissionSetCommandInput,
  PutInlinePolicyToPermissionSetCommandOutput,
} from "./commands/PutInlinePolicyToPermissionSetCommand";
import {
  PutPermissionsBoundaryToPermissionSetCommandInput,
  PutPermissionsBoundaryToPermissionSetCommandOutput,
} from "./commands/PutPermissionsBoundaryToPermissionSetCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateApplicationCommandInput,
  UpdateApplicationCommandOutput,
} from "./commands/UpdateApplicationCommand";
import {
  UpdateInstanceAccessControlAttributeConfigurationCommandInput,
  UpdateInstanceAccessControlAttributeConfigurationCommandOutput,
} from "./commands/UpdateInstanceAccessControlAttributeConfigurationCommand";
import {
  UpdateInstanceCommandInput,
  UpdateInstanceCommandOutput,
} from "./commands/UpdateInstanceCommand";
import {
  UpdatePermissionSetCommandInput,
  UpdatePermissionSetCommandOutput,
} from "./commands/UpdatePermissionSetCommand";
import {
  UpdateTrustedTokenIssuerCommandInput,
  UpdateTrustedTokenIssuerCommandOutput,
} from "./commands/UpdateTrustedTokenIssuerCommand";
import { SSOAdminClient } from "./SSOAdminClient";
export interface SSOAdmin {
  attachCustomerManagedPolicyReferenceToPermissionSet(
    args: AttachCustomerManagedPolicyReferenceToPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<AttachCustomerManagedPolicyReferenceToPermissionSetCommandOutput>;
  attachCustomerManagedPolicyReferenceToPermissionSet(
    args: AttachCustomerManagedPolicyReferenceToPermissionSetCommandInput,
    cb: (
      err: any,
      data?: AttachCustomerManagedPolicyReferenceToPermissionSetCommandOutput
    ) => void
  ): void;
  attachCustomerManagedPolicyReferenceToPermissionSet(
    args: AttachCustomerManagedPolicyReferenceToPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: AttachCustomerManagedPolicyReferenceToPermissionSetCommandOutput
    ) => void
  ): void;
  attachManagedPolicyToPermissionSet(
    args: AttachManagedPolicyToPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<AttachManagedPolicyToPermissionSetCommandOutput>;
  attachManagedPolicyToPermissionSet(
    args: AttachManagedPolicyToPermissionSetCommandInput,
    cb: (
      err: any,
      data?: AttachManagedPolicyToPermissionSetCommandOutput
    ) => void
  ): void;
  attachManagedPolicyToPermissionSet(
    args: AttachManagedPolicyToPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: AttachManagedPolicyToPermissionSetCommandOutput
    ) => void
  ): void;
  createAccountAssignment(
    args: CreateAccountAssignmentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateAccountAssignmentCommandOutput>;
  createAccountAssignment(
    args: CreateAccountAssignmentCommandInput,
    cb: (err: any, data?: CreateAccountAssignmentCommandOutput) => void
  ): void;
  createAccountAssignment(
    args: CreateAccountAssignmentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateAccountAssignmentCommandOutput) => void
  ): void;
  createApplication(
    args: CreateApplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateApplicationCommandOutput>;
  createApplication(
    args: CreateApplicationCommandInput,
    cb: (err: any, data?: CreateApplicationCommandOutput) => void
  ): void;
  createApplication(
    args: CreateApplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateApplicationCommandOutput) => void
  ): void;
  createApplicationAssignment(
    args: CreateApplicationAssignmentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateApplicationAssignmentCommandOutput>;
  createApplicationAssignment(
    args: CreateApplicationAssignmentCommandInput,
    cb: (err: any, data?: CreateApplicationAssignmentCommandOutput) => void
  ): void;
  createApplicationAssignment(
    args: CreateApplicationAssignmentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateApplicationAssignmentCommandOutput) => void
  ): void;
  createInstance(): Promise<CreateInstanceCommandOutput>;
  createInstance(
    args: CreateInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateInstanceCommandOutput>;
  createInstance(
    args: CreateInstanceCommandInput,
    cb: (err: any, data?: CreateInstanceCommandOutput) => void
  ): void;
  createInstance(
    args: CreateInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateInstanceCommandOutput) => void
  ): void;
  createInstanceAccessControlAttributeConfiguration(
    args: CreateInstanceAccessControlAttributeConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateInstanceAccessControlAttributeConfigurationCommandOutput>;
  createInstanceAccessControlAttributeConfiguration(
    args: CreateInstanceAccessControlAttributeConfigurationCommandInput,
    cb: (
      err: any,
      data?: CreateInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  createInstanceAccessControlAttributeConfiguration(
    args: CreateInstanceAccessControlAttributeConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: CreateInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  createPermissionSet(
    args: CreatePermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreatePermissionSetCommandOutput>;
  createPermissionSet(
    args: CreatePermissionSetCommandInput,
    cb: (err: any, data?: CreatePermissionSetCommandOutput) => void
  ): void;
  createPermissionSet(
    args: CreatePermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreatePermissionSetCommandOutput) => void
  ): void;
  createTrustedTokenIssuer(
    args: CreateTrustedTokenIssuerCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateTrustedTokenIssuerCommandOutput>;
  createTrustedTokenIssuer(
    args: CreateTrustedTokenIssuerCommandInput,
    cb: (err: any, data?: CreateTrustedTokenIssuerCommandOutput) => void
  ): void;
  createTrustedTokenIssuer(
    args: CreateTrustedTokenIssuerCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateTrustedTokenIssuerCommandOutput) => void
  ): void;
  deleteAccountAssignment(
    args: DeleteAccountAssignmentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccountAssignmentCommandOutput>;
  deleteAccountAssignment(
    args: DeleteAccountAssignmentCommandInput,
    cb: (err: any, data?: DeleteAccountAssignmentCommandOutput) => void
  ): void;
  deleteAccountAssignment(
    args: DeleteAccountAssignmentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccountAssignmentCommandOutput) => void
  ): void;
  deleteApplication(
    args: DeleteApplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteApplicationCommandOutput>;
  deleteApplication(
    args: DeleteApplicationCommandInput,
    cb: (err: any, data?: DeleteApplicationCommandOutput) => void
  ): void;
  deleteApplication(
    args: DeleteApplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteApplicationCommandOutput) => void
  ): void;
  deleteApplicationAccessScope(
    args: DeleteApplicationAccessScopeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteApplicationAccessScopeCommandOutput>;
  deleteApplicationAccessScope(
    args: DeleteApplicationAccessScopeCommandInput,
    cb: (err: any, data?: DeleteApplicationAccessScopeCommandOutput) => void
  ): void;
  deleteApplicationAccessScope(
    args: DeleteApplicationAccessScopeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteApplicationAccessScopeCommandOutput) => void
  ): void;
  deleteApplicationAssignment(
    args: DeleteApplicationAssignmentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteApplicationAssignmentCommandOutput>;
  deleteApplicationAssignment(
    args: DeleteApplicationAssignmentCommandInput,
    cb: (err: any, data?: DeleteApplicationAssignmentCommandOutput) => void
  ): void;
  deleteApplicationAssignment(
    args: DeleteApplicationAssignmentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteApplicationAssignmentCommandOutput) => void
  ): void;
  deleteApplicationAuthenticationMethod(
    args: DeleteApplicationAuthenticationMethodCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteApplicationAuthenticationMethodCommandOutput>;
  deleteApplicationAuthenticationMethod(
    args: DeleteApplicationAuthenticationMethodCommandInput,
    cb: (
      err: any,
      data?: DeleteApplicationAuthenticationMethodCommandOutput
    ) => void
  ): void;
  deleteApplicationAuthenticationMethod(
    args: DeleteApplicationAuthenticationMethodCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteApplicationAuthenticationMethodCommandOutput
    ) => void
  ): void;
  deleteApplicationGrant(
    args: DeleteApplicationGrantCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteApplicationGrantCommandOutput>;
  deleteApplicationGrant(
    args: DeleteApplicationGrantCommandInput,
    cb: (err: any, data?: DeleteApplicationGrantCommandOutput) => void
  ): void;
  deleteApplicationGrant(
    args: DeleteApplicationGrantCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteApplicationGrantCommandOutput) => void
  ): void;
  deleteInlinePolicyFromPermissionSet(
    args: DeleteInlinePolicyFromPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteInlinePolicyFromPermissionSetCommandOutput>;
  deleteInlinePolicyFromPermissionSet(
    args: DeleteInlinePolicyFromPermissionSetCommandInput,
    cb: (
      err: any,
      data?: DeleteInlinePolicyFromPermissionSetCommandOutput
    ) => void
  ): void;
  deleteInlinePolicyFromPermissionSet(
    args: DeleteInlinePolicyFromPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteInlinePolicyFromPermissionSetCommandOutput
    ) => void
  ): void;
  deleteInstance(
    args: DeleteInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteInstanceCommandOutput>;
  deleteInstance(
    args: DeleteInstanceCommandInput,
    cb: (err: any, data?: DeleteInstanceCommandOutput) => void
  ): void;
  deleteInstance(
    args: DeleteInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteInstanceCommandOutput) => void
  ): void;
  deleteInstanceAccessControlAttributeConfiguration(
    args: DeleteInstanceAccessControlAttributeConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteInstanceAccessControlAttributeConfigurationCommandOutput>;
  deleteInstanceAccessControlAttributeConfiguration(
    args: DeleteInstanceAccessControlAttributeConfigurationCommandInput,
    cb: (
      err: any,
      data?: DeleteInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  deleteInstanceAccessControlAttributeConfiguration(
    args: DeleteInstanceAccessControlAttributeConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  deletePermissionsBoundaryFromPermissionSet(
    args: DeletePermissionsBoundaryFromPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeletePermissionsBoundaryFromPermissionSetCommandOutput>;
  deletePermissionsBoundaryFromPermissionSet(
    args: DeletePermissionsBoundaryFromPermissionSetCommandInput,
    cb: (
      err: any,
      data?: DeletePermissionsBoundaryFromPermissionSetCommandOutput
    ) => void
  ): void;
  deletePermissionsBoundaryFromPermissionSet(
    args: DeletePermissionsBoundaryFromPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeletePermissionsBoundaryFromPermissionSetCommandOutput
    ) => void
  ): void;
  deletePermissionSet(
    args: DeletePermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeletePermissionSetCommandOutput>;
  deletePermissionSet(
    args: DeletePermissionSetCommandInput,
    cb: (err: any, data?: DeletePermissionSetCommandOutput) => void
  ): void;
  deletePermissionSet(
    args: DeletePermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeletePermissionSetCommandOutput) => void
  ): void;
  deleteTrustedTokenIssuer(
    args: DeleteTrustedTokenIssuerCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteTrustedTokenIssuerCommandOutput>;
  deleteTrustedTokenIssuer(
    args: DeleteTrustedTokenIssuerCommandInput,
    cb: (err: any, data?: DeleteTrustedTokenIssuerCommandOutput) => void
  ): void;
  deleteTrustedTokenIssuer(
    args: DeleteTrustedTokenIssuerCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteTrustedTokenIssuerCommandOutput) => void
  ): void;
  describeAccountAssignmentCreationStatus(
    args: DescribeAccountAssignmentCreationStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeAccountAssignmentCreationStatusCommandOutput>;
  describeAccountAssignmentCreationStatus(
    args: DescribeAccountAssignmentCreationStatusCommandInput,
    cb: (
      err: any,
      data?: DescribeAccountAssignmentCreationStatusCommandOutput
    ) => void
  ): void;
  describeAccountAssignmentCreationStatus(
    args: DescribeAccountAssignmentCreationStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DescribeAccountAssignmentCreationStatusCommandOutput
    ) => void
  ): void;
  describeAccountAssignmentDeletionStatus(
    args: DescribeAccountAssignmentDeletionStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeAccountAssignmentDeletionStatusCommandOutput>;
  describeAccountAssignmentDeletionStatus(
    args: DescribeAccountAssignmentDeletionStatusCommandInput,
    cb: (
      err: any,
      data?: DescribeAccountAssignmentDeletionStatusCommandOutput
    ) => void
  ): void;
  describeAccountAssignmentDeletionStatus(
    args: DescribeAccountAssignmentDeletionStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DescribeAccountAssignmentDeletionStatusCommandOutput
    ) => void
  ): void;
  describeApplication(
    args: DescribeApplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeApplicationCommandOutput>;
  describeApplication(
    args: DescribeApplicationCommandInput,
    cb: (err: any, data?: DescribeApplicationCommandOutput) => void
  ): void;
  describeApplication(
    args: DescribeApplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeApplicationCommandOutput) => void
  ): void;
  describeApplicationAssignment(
    args: DescribeApplicationAssignmentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeApplicationAssignmentCommandOutput>;
  describeApplicationAssignment(
    args: DescribeApplicationAssignmentCommandInput,
    cb: (err: any, data?: DescribeApplicationAssignmentCommandOutput) => void
  ): void;
  describeApplicationAssignment(
    args: DescribeApplicationAssignmentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeApplicationAssignmentCommandOutput) => void
  ): void;
  describeApplicationProvider(
    args: DescribeApplicationProviderCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeApplicationProviderCommandOutput>;
  describeApplicationProvider(
    args: DescribeApplicationProviderCommandInput,
    cb: (err: any, data?: DescribeApplicationProviderCommandOutput) => void
  ): void;
  describeApplicationProvider(
    args: DescribeApplicationProviderCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeApplicationProviderCommandOutput) => void
  ): void;
  describeInstance(
    args: DescribeInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeInstanceCommandOutput>;
  describeInstance(
    args: DescribeInstanceCommandInput,
    cb: (err: any, data?: DescribeInstanceCommandOutput) => void
  ): void;
  describeInstance(
    args: DescribeInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeInstanceCommandOutput) => void
  ): void;
  describeInstanceAccessControlAttributeConfiguration(
    args: DescribeInstanceAccessControlAttributeConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeInstanceAccessControlAttributeConfigurationCommandOutput>;
  describeInstanceAccessControlAttributeConfiguration(
    args: DescribeInstanceAccessControlAttributeConfigurationCommandInput,
    cb: (
      err: any,
      data?: DescribeInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  describeInstanceAccessControlAttributeConfiguration(
    args: DescribeInstanceAccessControlAttributeConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DescribeInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  describePermissionSet(
    args: DescribePermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribePermissionSetCommandOutput>;
  describePermissionSet(
    args: DescribePermissionSetCommandInput,
    cb: (err: any, data?: DescribePermissionSetCommandOutput) => void
  ): void;
  describePermissionSet(
    args: DescribePermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribePermissionSetCommandOutput) => void
  ): void;
  describePermissionSetProvisioningStatus(
    args: DescribePermissionSetProvisioningStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribePermissionSetProvisioningStatusCommandOutput>;
  describePermissionSetProvisioningStatus(
    args: DescribePermissionSetProvisioningStatusCommandInput,
    cb: (
      err: any,
      data?: DescribePermissionSetProvisioningStatusCommandOutput
    ) => void
  ): void;
  describePermissionSetProvisioningStatus(
    args: DescribePermissionSetProvisioningStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DescribePermissionSetProvisioningStatusCommandOutput
    ) => void
  ): void;
  describeTrustedTokenIssuer(
    args: DescribeTrustedTokenIssuerCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeTrustedTokenIssuerCommandOutput>;
  describeTrustedTokenIssuer(
    args: DescribeTrustedTokenIssuerCommandInput,
    cb: (err: any, data?: DescribeTrustedTokenIssuerCommandOutput) => void
  ): void;
  describeTrustedTokenIssuer(
    args: DescribeTrustedTokenIssuerCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeTrustedTokenIssuerCommandOutput) => void
  ): void;
  detachCustomerManagedPolicyReferenceFromPermissionSet(
    args: DetachCustomerManagedPolicyReferenceFromPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DetachCustomerManagedPolicyReferenceFromPermissionSetCommandOutput>;
  detachCustomerManagedPolicyReferenceFromPermissionSet(
    args: DetachCustomerManagedPolicyReferenceFromPermissionSetCommandInput,
    cb: (
      err: any,
      data?: DetachCustomerManagedPolicyReferenceFromPermissionSetCommandOutput
    ) => void
  ): void;
  detachCustomerManagedPolicyReferenceFromPermissionSet(
    args: DetachCustomerManagedPolicyReferenceFromPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DetachCustomerManagedPolicyReferenceFromPermissionSetCommandOutput
    ) => void
  ): void;
  detachManagedPolicyFromPermissionSet(
    args: DetachManagedPolicyFromPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DetachManagedPolicyFromPermissionSetCommandOutput>;
  detachManagedPolicyFromPermissionSet(
    args: DetachManagedPolicyFromPermissionSetCommandInput,
    cb: (
      err: any,
      data?: DetachManagedPolicyFromPermissionSetCommandOutput
    ) => void
  ): void;
  detachManagedPolicyFromPermissionSet(
    args: DetachManagedPolicyFromPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DetachManagedPolicyFromPermissionSetCommandOutput
    ) => void
  ): void;
  getApplicationAccessScope(
    args: GetApplicationAccessScopeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetApplicationAccessScopeCommandOutput>;
  getApplicationAccessScope(
    args: GetApplicationAccessScopeCommandInput,
    cb: (err: any, data?: GetApplicationAccessScopeCommandOutput) => void
  ): void;
  getApplicationAccessScope(
    args: GetApplicationAccessScopeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetApplicationAccessScopeCommandOutput) => void
  ): void;
  getApplicationAssignmentConfiguration(
    args: GetApplicationAssignmentConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetApplicationAssignmentConfigurationCommandOutput>;
  getApplicationAssignmentConfiguration(
    args: GetApplicationAssignmentConfigurationCommandInput,
    cb: (
      err: any,
      data?: GetApplicationAssignmentConfigurationCommandOutput
    ) => void
  ): void;
  getApplicationAssignmentConfiguration(
    args: GetApplicationAssignmentConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetApplicationAssignmentConfigurationCommandOutput
    ) => void
  ): void;
  getApplicationAuthenticationMethod(
    args: GetApplicationAuthenticationMethodCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetApplicationAuthenticationMethodCommandOutput>;
  getApplicationAuthenticationMethod(
    args: GetApplicationAuthenticationMethodCommandInput,
    cb: (
      err: any,
      data?: GetApplicationAuthenticationMethodCommandOutput
    ) => void
  ): void;
  getApplicationAuthenticationMethod(
    args: GetApplicationAuthenticationMethodCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetApplicationAuthenticationMethodCommandOutput
    ) => void
  ): void;
  getApplicationGrant(
    args: GetApplicationGrantCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetApplicationGrantCommandOutput>;
  getApplicationGrant(
    args: GetApplicationGrantCommandInput,
    cb: (err: any, data?: GetApplicationGrantCommandOutput) => void
  ): void;
  getApplicationGrant(
    args: GetApplicationGrantCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetApplicationGrantCommandOutput) => void
  ): void;
  getInlinePolicyForPermissionSet(
    args: GetInlinePolicyForPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetInlinePolicyForPermissionSetCommandOutput>;
  getInlinePolicyForPermissionSet(
    args: GetInlinePolicyForPermissionSetCommandInput,
    cb: (err: any, data?: GetInlinePolicyForPermissionSetCommandOutput) => void
  ): void;
  getInlinePolicyForPermissionSet(
    args: GetInlinePolicyForPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetInlinePolicyForPermissionSetCommandOutput) => void
  ): void;
  getPermissionsBoundaryForPermissionSet(
    args: GetPermissionsBoundaryForPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetPermissionsBoundaryForPermissionSetCommandOutput>;
  getPermissionsBoundaryForPermissionSet(
    args: GetPermissionsBoundaryForPermissionSetCommandInput,
    cb: (
      err: any,
      data?: GetPermissionsBoundaryForPermissionSetCommandOutput
    ) => void
  ): void;
  getPermissionsBoundaryForPermissionSet(
    args: GetPermissionsBoundaryForPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetPermissionsBoundaryForPermissionSetCommandOutput
    ) => void
  ): void;
  listAccountAssignmentCreationStatus(
    args: ListAccountAssignmentCreationStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccountAssignmentCreationStatusCommandOutput>;
  listAccountAssignmentCreationStatus(
    args: ListAccountAssignmentCreationStatusCommandInput,
    cb: (
      err: any,
      data?: ListAccountAssignmentCreationStatusCommandOutput
    ) => void
  ): void;
  listAccountAssignmentCreationStatus(
    args: ListAccountAssignmentCreationStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListAccountAssignmentCreationStatusCommandOutput
    ) => void
  ): void;
  listAccountAssignmentDeletionStatus(
    args: ListAccountAssignmentDeletionStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccountAssignmentDeletionStatusCommandOutput>;
  listAccountAssignmentDeletionStatus(
    args: ListAccountAssignmentDeletionStatusCommandInput,
    cb: (
      err: any,
      data?: ListAccountAssignmentDeletionStatusCommandOutput
    ) => void
  ): void;
  listAccountAssignmentDeletionStatus(
    args: ListAccountAssignmentDeletionStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListAccountAssignmentDeletionStatusCommandOutput
    ) => void
  ): void;
  listAccountAssignments(
    args: ListAccountAssignmentsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccountAssignmentsCommandOutput>;
  listAccountAssignments(
    args: ListAccountAssignmentsCommandInput,
    cb: (err: any, data?: ListAccountAssignmentsCommandOutput) => void
  ): void;
  listAccountAssignments(
    args: ListAccountAssignmentsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAccountAssignmentsCommandOutput) => void
  ): void;
  listAccountAssignmentsForPrincipal(
    args: ListAccountAssignmentsForPrincipalCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccountAssignmentsForPrincipalCommandOutput>;
  listAccountAssignmentsForPrincipal(
    args: ListAccountAssignmentsForPrincipalCommandInput,
    cb: (
      err: any,
      data?: ListAccountAssignmentsForPrincipalCommandOutput
    ) => void
  ): void;
  listAccountAssignmentsForPrincipal(
    args: ListAccountAssignmentsForPrincipalCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListAccountAssignmentsForPrincipalCommandOutput
    ) => void
  ): void;
  listAccountsForProvisionedPermissionSet(
    args: ListAccountsForProvisionedPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccountsForProvisionedPermissionSetCommandOutput>;
  listAccountsForProvisionedPermissionSet(
    args: ListAccountsForProvisionedPermissionSetCommandInput,
    cb: (
      err: any,
      data?: ListAccountsForProvisionedPermissionSetCommandOutput
    ) => void
  ): void;
  listAccountsForProvisionedPermissionSet(
    args: ListAccountsForProvisionedPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListAccountsForProvisionedPermissionSetCommandOutput
    ) => void
  ): void;
  listApplicationAccessScopes(
    args: ListApplicationAccessScopesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationAccessScopesCommandOutput>;
  listApplicationAccessScopes(
    args: ListApplicationAccessScopesCommandInput,
    cb: (err: any, data?: ListApplicationAccessScopesCommandOutput) => void
  ): void;
  listApplicationAccessScopes(
    args: ListApplicationAccessScopesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListApplicationAccessScopesCommandOutput) => void
  ): void;
  listApplicationAssignments(
    args: ListApplicationAssignmentsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationAssignmentsCommandOutput>;
  listApplicationAssignments(
    args: ListApplicationAssignmentsCommandInput,
    cb: (err: any, data?: ListApplicationAssignmentsCommandOutput) => void
  ): void;
  listApplicationAssignments(
    args: ListApplicationAssignmentsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListApplicationAssignmentsCommandOutput) => void
  ): void;
  listApplicationAssignmentsForPrincipal(
    args: ListApplicationAssignmentsForPrincipalCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationAssignmentsForPrincipalCommandOutput>;
  listApplicationAssignmentsForPrincipal(
    args: ListApplicationAssignmentsForPrincipalCommandInput,
    cb: (
      err: any,
      data?: ListApplicationAssignmentsForPrincipalCommandOutput
    ) => void
  ): void;
  listApplicationAssignmentsForPrincipal(
    args: ListApplicationAssignmentsForPrincipalCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListApplicationAssignmentsForPrincipalCommandOutput
    ) => void
  ): void;
  listApplicationAuthenticationMethods(
    args: ListApplicationAuthenticationMethodsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationAuthenticationMethodsCommandOutput>;
  listApplicationAuthenticationMethods(
    args: ListApplicationAuthenticationMethodsCommandInput,
    cb: (
      err: any,
      data?: ListApplicationAuthenticationMethodsCommandOutput
    ) => void
  ): void;
  listApplicationAuthenticationMethods(
    args: ListApplicationAuthenticationMethodsCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListApplicationAuthenticationMethodsCommandOutput
    ) => void
  ): void;
  listApplicationGrants(
    args: ListApplicationGrantsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationGrantsCommandOutput>;
  listApplicationGrants(
    args: ListApplicationGrantsCommandInput,
    cb: (err: any, data?: ListApplicationGrantsCommandOutput) => void
  ): void;
  listApplicationGrants(
    args: ListApplicationGrantsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListApplicationGrantsCommandOutput) => void
  ): void;
  listApplicationProviders(): Promise<ListApplicationProvidersCommandOutput>;
  listApplicationProviders(
    args: ListApplicationProvidersCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationProvidersCommandOutput>;
  listApplicationProviders(
    args: ListApplicationProvidersCommandInput,
    cb: (err: any, data?: ListApplicationProvidersCommandOutput) => void
  ): void;
  listApplicationProviders(
    args: ListApplicationProvidersCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListApplicationProvidersCommandOutput) => void
  ): void;
  listApplications(
    args: ListApplicationsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListApplicationsCommandOutput>;
  listApplications(
    args: ListApplicationsCommandInput,
    cb: (err: any, data?: ListApplicationsCommandOutput) => void
  ): void;
  listApplications(
    args: ListApplicationsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListApplicationsCommandOutput) => void
  ): void;
  listCustomerManagedPolicyReferencesInPermissionSet(
    args: ListCustomerManagedPolicyReferencesInPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListCustomerManagedPolicyReferencesInPermissionSetCommandOutput>;
  listCustomerManagedPolicyReferencesInPermissionSet(
    args: ListCustomerManagedPolicyReferencesInPermissionSetCommandInput,
    cb: (
      err: any,
      data?: ListCustomerManagedPolicyReferencesInPermissionSetCommandOutput
    ) => void
  ): void;
  listCustomerManagedPolicyReferencesInPermissionSet(
    args: ListCustomerManagedPolicyReferencesInPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListCustomerManagedPolicyReferencesInPermissionSetCommandOutput
    ) => void
  ): void;
  listInstances(): Promise<ListInstancesCommandOutput>;
  listInstances(
    args: ListInstancesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListInstancesCommandOutput>;
  listInstances(
    args: ListInstancesCommandInput,
    cb: (err: any, data?: ListInstancesCommandOutput) => void
  ): void;
  listInstances(
    args: ListInstancesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListInstancesCommandOutput) => void
  ): void;
  listManagedPoliciesInPermissionSet(
    args: ListManagedPoliciesInPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListManagedPoliciesInPermissionSetCommandOutput>;
  listManagedPoliciesInPermissionSet(
    args: ListManagedPoliciesInPermissionSetCommandInput,
    cb: (
      err: any,
      data?: ListManagedPoliciesInPermissionSetCommandOutput
    ) => void
  ): void;
  listManagedPoliciesInPermissionSet(
    args: ListManagedPoliciesInPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListManagedPoliciesInPermissionSetCommandOutput
    ) => void
  ): void;
  listPermissionSetProvisioningStatus(
    args: ListPermissionSetProvisioningStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListPermissionSetProvisioningStatusCommandOutput>;
  listPermissionSetProvisioningStatus(
    args: ListPermissionSetProvisioningStatusCommandInput,
    cb: (
      err: any,
      data?: ListPermissionSetProvisioningStatusCommandOutput
    ) => void
  ): void;
  listPermissionSetProvisioningStatus(
    args: ListPermissionSetProvisioningStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListPermissionSetProvisioningStatusCommandOutput
    ) => void
  ): void;
  listPermissionSets(
    args: ListPermissionSetsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListPermissionSetsCommandOutput>;
  listPermissionSets(
    args: ListPermissionSetsCommandInput,
    cb: (err: any, data?: ListPermissionSetsCommandOutput) => void
  ): void;
  listPermissionSets(
    args: ListPermissionSetsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListPermissionSetsCommandOutput) => void
  ): void;
  listPermissionSetsProvisionedToAccount(
    args: ListPermissionSetsProvisionedToAccountCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListPermissionSetsProvisionedToAccountCommandOutput>;
  listPermissionSetsProvisionedToAccount(
    args: ListPermissionSetsProvisionedToAccountCommandInput,
    cb: (
      err: any,
      data?: ListPermissionSetsProvisionedToAccountCommandOutput
    ) => void
  ): void;
  listPermissionSetsProvisionedToAccount(
    args: ListPermissionSetsProvisionedToAccountCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: ListPermissionSetsProvisionedToAccountCommandOutput
    ) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTagsForResourceCommandOutput>;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  listTrustedTokenIssuers(
    args: ListTrustedTokenIssuersCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTrustedTokenIssuersCommandOutput>;
  listTrustedTokenIssuers(
    args: ListTrustedTokenIssuersCommandInput,
    cb: (err: any, data?: ListTrustedTokenIssuersCommandOutput) => void
  ): void;
  listTrustedTokenIssuers(
    args: ListTrustedTokenIssuersCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTrustedTokenIssuersCommandOutput) => void
  ): void;
  provisionPermissionSet(
    args: ProvisionPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ProvisionPermissionSetCommandOutput>;
  provisionPermissionSet(
    args: ProvisionPermissionSetCommandInput,
    cb: (err: any, data?: ProvisionPermissionSetCommandOutput) => void
  ): void;
  provisionPermissionSet(
    args: ProvisionPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ProvisionPermissionSetCommandOutput) => void
  ): void;
  putApplicationAccessScope(
    args: PutApplicationAccessScopeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutApplicationAccessScopeCommandOutput>;
  putApplicationAccessScope(
    args: PutApplicationAccessScopeCommandInput,
    cb: (err: any, data?: PutApplicationAccessScopeCommandOutput) => void
  ): void;
  putApplicationAccessScope(
    args: PutApplicationAccessScopeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutApplicationAccessScopeCommandOutput) => void
  ): void;
  putApplicationAssignmentConfiguration(
    args: PutApplicationAssignmentConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutApplicationAssignmentConfigurationCommandOutput>;
  putApplicationAssignmentConfiguration(
    args: PutApplicationAssignmentConfigurationCommandInput,
    cb: (
      err: any,
      data?: PutApplicationAssignmentConfigurationCommandOutput
    ) => void
  ): void;
  putApplicationAssignmentConfiguration(
    args: PutApplicationAssignmentConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutApplicationAssignmentConfigurationCommandOutput
    ) => void
  ): void;
  putApplicationAuthenticationMethod(
    args: PutApplicationAuthenticationMethodCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutApplicationAuthenticationMethodCommandOutput>;
  putApplicationAuthenticationMethod(
    args: PutApplicationAuthenticationMethodCommandInput,
    cb: (
      err: any,
      data?: PutApplicationAuthenticationMethodCommandOutput
    ) => void
  ): void;
  putApplicationAuthenticationMethod(
    args: PutApplicationAuthenticationMethodCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutApplicationAuthenticationMethodCommandOutput
    ) => void
  ): void;
  putApplicationGrant(
    args: PutApplicationGrantCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutApplicationGrantCommandOutput>;
  putApplicationGrant(
    args: PutApplicationGrantCommandInput,
    cb: (err: any, data?: PutApplicationGrantCommandOutput) => void
  ): void;
  putApplicationGrant(
    args: PutApplicationGrantCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutApplicationGrantCommandOutput) => void
  ): void;
  putInlinePolicyToPermissionSet(
    args: PutInlinePolicyToPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutInlinePolicyToPermissionSetCommandOutput>;
  putInlinePolicyToPermissionSet(
    args: PutInlinePolicyToPermissionSetCommandInput,
    cb: (err: any, data?: PutInlinePolicyToPermissionSetCommandOutput) => void
  ): void;
  putInlinePolicyToPermissionSet(
    args: PutInlinePolicyToPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutInlinePolicyToPermissionSetCommandOutput) => void
  ): void;
  putPermissionsBoundaryToPermissionSet(
    args: PutPermissionsBoundaryToPermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutPermissionsBoundaryToPermissionSetCommandOutput>;
  putPermissionsBoundaryToPermissionSet(
    args: PutPermissionsBoundaryToPermissionSetCommandInput,
    cb: (
      err: any,
      data?: PutPermissionsBoundaryToPermissionSetCommandOutput
    ) => void
  ): void;
  putPermissionsBoundaryToPermissionSet(
    args: PutPermissionsBoundaryToPermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutPermissionsBoundaryToPermissionSetCommandOutput
    ) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<TagResourceCommandOutput>;
  tagResource(
    args: TagResourceCommandInput,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UntagResourceCommandOutput>;
  untagResource(
    args: UntagResourceCommandInput,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  updateApplication(
    args: UpdateApplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateApplicationCommandOutput>;
  updateApplication(
    args: UpdateApplicationCommandInput,
    cb: (err: any, data?: UpdateApplicationCommandOutput) => void
  ): void;
  updateApplication(
    args: UpdateApplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateApplicationCommandOutput) => void
  ): void;
  updateInstance(
    args: UpdateInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateInstanceCommandOutput>;
  updateInstance(
    args: UpdateInstanceCommandInput,
    cb: (err: any, data?: UpdateInstanceCommandOutput) => void
  ): void;
  updateInstance(
    args: UpdateInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateInstanceCommandOutput) => void
  ): void;
  updateInstanceAccessControlAttributeConfiguration(
    args: UpdateInstanceAccessControlAttributeConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateInstanceAccessControlAttributeConfigurationCommandOutput>;
  updateInstanceAccessControlAttributeConfiguration(
    args: UpdateInstanceAccessControlAttributeConfigurationCommandInput,
    cb: (
      err: any,
      data?: UpdateInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  updateInstanceAccessControlAttributeConfiguration(
    args: UpdateInstanceAccessControlAttributeConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: UpdateInstanceAccessControlAttributeConfigurationCommandOutput
    ) => void
  ): void;
  updatePermissionSet(
    args: UpdatePermissionSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdatePermissionSetCommandOutput>;
  updatePermissionSet(
    args: UpdatePermissionSetCommandInput,
    cb: (err: any, data?: UpdatePermissionSetCommandOutput) => void
  ): void;
  updatePermissionSet(
    args: UpdatePermissionSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdatePermissionSetCommandOutput) => void
  ): void;
  updateTrustedTokenIssuer(
    args: UpdateTrustedTokenIssuerCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateTrustedTokenIssuerCommandOutput>;
  updateTrustedTokenIssuer(
    args: UpdateTrustedTokenIssuerCommandInput,
    cb: (err: any, data?: UpdateTrustedTokenIssuerCommandOutput) => void
  ): void;
  updateTrustedTokenIssuer(
    args: UpdateTrustedTokenIssuerCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateTrustedTokenIssuerCommandOutput) => void
  ): void;
}
export declare class SSOAdmin extends SSOAdminClient implements SSOAdmin {}
